package cn.com.countrygarden.bi.main.service.personnel;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.PersonnelCampusDTO;
import cn.com.countrygarden.bi.main.dto.PersonnelCampusevaluationDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelCampusevaluation;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelTag;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 校园评测-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-09-20
 */
public interface PersonnelCampusevaluationService {

    Result queryPageList(PersonnelCampusevaluation personnelCampusevaluation, int page, int size,AccessToken accessToken);
    
    Result percamlist(PersonnelCampusevaluationDTO percam, int page, int size,AccessToken accessToken);

    Result queryById(Integer id);

    Result add(PersonnelCampusevaluationDTO personnelCampusevaluation, AccessToken accessToken);
    
    Result addone(String userId,Integer personneltagId);

    Result edit(PersonnelCampusDTO personnelCampusevaluation, AccessToken accessToken);

    Result del(Integer id);
    
    Result delpiliang(String perid);
    
    Result queryadByUid(String search,AccessToken accessToken);
    
    Result personneltag(String userId,String identity);
    
    Result excelToxls(Integer radio,MultipartFile multipartFile, String fileName,String usname,String userCode,AccessToken accessToken);
    
    Result personInfoCodeOrId(String search);

}